package dev.service;

import dev.dao.MenuItemDao;
import dev.database.DatabaseConnection;
import dev.model.MenuItem;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.List;

public class MenuService {

    MenuItemDao menuItemDao = new MenuItemDao();

    public void showMenu() {

        // TODO:
        // Display menu items

        List<MenuItem> Items = menuItemDao.findAll();

        System.out.println("Available Items:");
        for (MenuItem i : Items) {
            System.out.println(i.getId() + " | " + i.getName() + " | " + i.getDescription() + " | " + "$" + i.getPrice());
        }

    }

}